-- @author: rafftnix
-- @date: 04.05.2012


function disableNickNameRendering:loadMap(name)
	self.renderNickName = true;
end;

function disableNickNameRendering:deleteMap()

end;

function disableNickNameRendering:mouseEvent(posX, posY, isDown, isUp, button)

end;

function disableNickNameRendering:keyEvent(unicode, sym, modifier, isDown)

end;

function disableNickNameRendering:update(dt)

	if InputBinding.isPressed(InputBinding.disableNickNameRendering1) and InputBinding.isPressed(InputBinding.disableNickNameRendering2) and InputBinding.hasEvent(InputBinding.TOGGLE_BEACON_LIGHTS) then
		self.renderNickName = not self.renderNickName;
		if self.renderNickName then
			for a=1, table.getn(g_currentMission.steerables) do 
				local vehicle = g_currentMission.steerables[a];
				vehicle.nicknameRenderNodeOffset[1] = vehicle.nicknameRenderNodeOffsetBackup[1];
				vehicle.nicknameRenderNodeOffset[2] = vehicle.nicknameRenderNodeOffsetBackup[2];
				vehicle.nicknameRenderNodeOffset[3] = vehicle.nicknameRenderNodeOffsetBackup[3];
			end;
		elseif not self.renderNickName then
			for a=1, table.getn(g_currentMission.steerables) do 
				local vehicle = g_currentMission.steerables[a];
				if vehicle.nicknameRenderNodeOffsetBackup == nil then
					vehicle.nicknameRenderNodeOffsetBackup = {}
				end;
				vehicle.nicknameRenderNodeOffsetBackup[1] = vehicle.nicknameRenderNodeOffset[1];
				vehicle.nicknameRenderNodeOffsetBackup[2] = vehicle.nicknameRenderNodeOffset[2];
				vehicle.nicknameRenderNodeOffsetBackup[3] = vehicle.nicknameRenderNodeOffset[3];
				vehicle.nicknameRenderNodeOffset[1] = 20000;
				vehicle.nicknameRenderNodeOffset[2] = 20000;
				vehicle.nicknameRenderNodeOffset[3] = 20000;
			end;
		end;
	end;
end;


function disableNickNameRendering:draw()

end;

addModEventListener(disableNickNameRendering);